%global momorel 3
%global emacsver 22.1
%global xemacsver 21.4.20
%global xemacssumover 2007.04.27
%global e_sitedir  %{_datadir}/emacs/site-lisp
%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir   %{_datadir}/xemacs/site-packages
%global md5sum_src0 856c00ecf1f1ee514cae38ef091da087

Summary: Xtla is an Emacsen front-end for GNU Arch (tla and bazaar).
Name: elisp-xtla
Version: 1.2.1
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
Url: http://wiki.gnuarch.org/xtla
%NoSource 0 http://download.gna.org/xtla-el/xtla-%{version}.tar.gz %{md5sum_src0}
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}
BuildPreReq: tla
Requires: emacsen
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Xtla is an Emacsen interface for GNU Arch (tla). It is similar to
PCL-CVS for CVS or PSVN to Subversion. The interface should give the
user full access to the functionality of tla within Emacs.

%package -n xtla-emacs
Summary: Xtla is an Emacs front-end for GNU Arch (tla and bazaar).
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n xtla-emacs
Xtla is an Emacs interface for GNU Arch (tla). It is similar to
PCL-CVS for CVS or PSVN to Subversion. The interface should give the
user full access to the functionality of tla within Emacs.

%package -n xtla-xemacs
Summary: Xtla is an Emacs front-end for GNU Arch (tla and bazaar).
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}

%description -n xtla-xemacs
Xtla is an Emacs interface for GNU Arch (tla). It is similar to
PCL-CVS for CVS or PSVN to Subversion. The interface should give the
user full access to the functionality of tla within Emacs.

%prep
%setup -q -n xtla-%{version}

%build
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%install
# emacs
%configure --with-emacs=emacs \
	   --with-lispdir=%{e_sitedir}/xtla
%make

%__mkdir_p %{buildroot}%{e_sitedir}/xtla
%__install -m 644 lisp/*.el* %{buildroot}%{e_sitedir}/xtla
%__mkdir_p %{buildroot}%{_infodir}
%__install -m 644 texinfo/xtla.info %{buildroot}%{_infodir}

%make distclean

# xemacs
%configure --with-emacs=xemacs \
	   --with-lispdir=%{xe_sitedir}/xtla 
%make

%__mkdir_p %{buildroot}%{xe_sitedir}/xtla
%__install -m 644 lisp/*.el* %{buildroot}%{xe_sitedir}/xtla
%__mkdir_p %{buildroot}%{sitepdir}/info
%__install -m 644 texinfo/xtla.info %{buildroot}%{sitepdir}/info

%post -n xtla-emacs
/sbin/install-info %{_infodir}/xtla.info %{_infodir}/dir

%preun -n xtla-emacs
if test "$1" = 0; then
  /sbin/install-info --delete %{_infodir}/xtla.info %{_infodir}/dir
fi

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL docs

%files -n xtla-emacs
%defattr(-,root,root)
%dir %{e_sitedir}/xtla
%{e_sitedir}/xtla/*.el*
%{_infodir}/xtla.info*

%files -n xtla-xemacs
%defattr(-,root,root)
%dir %{xe_sitedir}/xtla
%{xe_sitedir}/xtla/*.el*
%{sitepdir}/info/xtla.info*

%changelog
* Wed Jul 25 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.1-3m)
- add PreReq: info (xtla-emacs)

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.1-2m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun 17 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.1-1m)
- update to 1.2.1

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-10m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-9m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-8m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-7m)
- rebuild against emacs-22.0.94

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-6m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-5m)
- rebuild against emacs-22.0.92

* Mon Dec 11 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2-4m)
- add BuildPreReq: tla

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-3m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-2m)
- rebuild against emacs-22.0.90

* Mon Aug 21 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2-1m)
- initial momonga package based on ALTLinux
  emacs-xtla-1.1-alt2.src.rpm

* Tue Mar 14 2006 Maxim Tyurin <mrkooll@altlinux.ru> 1.1-alt2
- Fix requires

* Wed Aug 10 2005 Maxim Tyurin <mrkooll@altlinux.ru> 1.1-alt1
- New version

* Thu Jan 06 2005 Maxim Tyurin <mrkooll@altlinux.ru> 0.9-alt1
- Initial build

